Skip to Content
kosemdocs
ReferenceAPIUsers

Update user

Changes the caller's name. Use me, or the caller's own ID; nobody changes anyone else's.

PATCH
/v1/users/{user}

Changes the caller's name. Use me, or the caller's own ID; nobody changes anyone else's.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

user*string

The user's ID, or me for the caller.

Match^(me|usr_[0-7][0-9a-hjkmnp-tv-z]{25})$

Request Body

application/json
  1. body
displayName?string

Name shown in user interfaces.

Lengthlength <= 100

Response Body

OK

application/json
  1. response
createTime*string

When the user first signed in.

Formatdate-time
displayName*string

Name shown in user interfaces.

email*string

Email address, as verified by the identity provider.

name*string

Resource name, users/{user_id}.

Example Request
curl -X PATCH 'https://api.kosem.ai/v1/users/string' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "createTime": "2019-08-24T14:15:22Z",
  "displayName": "string",
  "email": "string",
  "name": "string"
}